### Method

# Json Parser set_strict

since: 1.10

#### Declaration [src]

    void
    json_parser_set_strict (
      JsonParser* parser,
      gboolean strict
    )

#### Description [src]

Sets whether the parser should operate in strict mode.

If `strict` is true, `JsonParser` will strictly conform to the JSON format.

If `strict` is false, `JsonParser` will allow custom extensions to the JSON format, like comments.

Available since: 1.10

Sets property | `Json.Parser:strict`

#### Parameters

`strict`

  Type: `gboolean`

  Whether the parser should be strict.